"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var react_inline_1 = require("./react-inline");
var react_1 = require("./react");
var styled_react_1 = require("./styled-react");
var inquirer = require("inquirer");
exports.generateReactApp = function (projectName, component) { return __awaiter(_this, void 0, void 0, function () {
    var answers, _a;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0: return [4 /*yield*/, inquirer
                    .prompt([
                    {
                        type: 'list',
                        name: 'style',
                        message: 'Choose the react style?',
                        choices: [
                            {
                                key: 'r',
                                name: 'CSS Modules',
                                value: 'modules'
                            },
                            {
                                key: 'r',
                                name: 'Inline CSS',
                                value: 'inline'
                            },
                            {
                                key: 'r',
                                name: 'Styled Components',
                                value: 'styled'
                            },
                        ],
                    },
                ])];
            case 1:
                answers = _b.sent();
                _a = answers.style;
                switch (_a) {
                    case 'inline': return [3 /*break*/, 2];
                    case 'modules': return [3 /*break*/, 4];
                    case 'styled': return [3 /*break*/, 6];
                }
                return [3 /*break*/, 8];
            case 2: return [4 /*yield*/, react_inline_1.generateReactInlineApp(projectName, component)];
            case 3:
                _b.sent();
                return [3 /*break*/, 9];
            case 4: return [4 /*yield*/, react_1.generateReactModuleApp(projectName, component)];
            case 5:
                _b.sent();
                return [3 /*break*/, 9];
            case 6: return [4 /*yield*/, styled_react_1.generateReactStyledApp(projectName, component)];
            case 7:
                _b.sent();
                return [3 /*break*/, 9];
            case 8:
                process.exit(1);
                _b.label = 9;
            case 9: return [2 /*return*/];
        }
    });
}); };
