"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_aphrodite_1 = require("./aphrodite/react-aphrodite");
var react_emotion_1 = require("./emotion/react-emotion");
var react_inline_1 = require("./inline/react-inline");
var react_jss_1 = require("./jss/react-jss");
var react_1 = require("./module/react");
var react_radium_1 = require("./radium/react-radium");
var styled_react_1 = require("./styled/styled-react");
exports.generateReactApp = function (compDir, imgDir, project, component, style) {
    return __awaiter(this, void 0, void 0, function () {
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    if (!(style === undefined || style === null || style === '')) return [3 /*break*/, 2];
                    return [4 /*yield*/, react_1.generateReactModuleApp(compDir, imgDir, project, component)];
                case 1:
                    _b.sent();
                    return [2 /*return*/];
                case 2:
                    _a = style.toLowerCase();
                    switch (_a) {
                        case 'aphrodite': return [3 /*break*/, 3];
                        case 'emotion': return [3 /*break*/, 5];
                        case 'inline': return [3 /*break*/, 7];
                        case 'jss': return [3 /*break*/, 9];
                        case 'module': return [3 /*break*/, 11];
                        case 'radium': return [3 /*break*/, 13];
                        case 'styled': return [3 /*break*/, 15];
                    }
                    return [3 /*break*/, 17];
                case 3: return [4 /*yield*/, react_aphrodite_1.generateAphroditeReactApp(compDir, imgDir, project, component)];
                case 4:
                    _b.sent();
                    return [3 /*break*/, 18];
                case 5: return [4 /*yield*/, react_emotion_1.generateEmotionReactApp(compDir, imgDir, project, component)];
                case 6:
                    _b.sent();
                    return [3 /*break*/, 18];
                case 7: return [4 /*yield*/, react_inline_1.generateInlineReactApp(compDir, imgDir, project, component)];
                case 8:
                    _b.sent();
                    return [3 /*break*/, 18];
                case 9: return [4 /*yield*/, react_jss_1.generateJssReactApp(compDir, imgDir, project, component)];
                case 10:
                    _b.sent();
                    return [3 /*break*/, 18];
                case 11: return [4 /*yield*/, react_1.generateReactModuleApp(compDir, imgDir, project, component)];
                case 12:
                    _b.sent();
                    return [3 /*break*/, 18];
                case 13: return [4 /*yield*/, react_radium_1.generateRadiumReactApp(compDir, imgDir, project, component)];
                case 14:
                    _b.sent();
                    return [3 /*break*/, 18];
                case 15: return [4 /*yield*/, styled_react_1.generateStyledReactApp(compDir, imgDir, project, component)];
                case 16:
                    _b.sent();
                    return [3 /*break*/, 18];
                case 17:
                    process.exit(0);
                    _b.label = 18;
                case 18: return [2 /*return*/];
            }
        });
    });
};
