"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var file_1 = require("../code/file");
var fs = require('fs');
exports.writeSettings = function (settings) {
    var dir = file_1.createDir(process.cwd() + "/.fl");
    file_1.createFileIfNotExists(dir, "settings.json", JSON.stringify(settings));
};
exports.readSettings = function () {
    var dir = process.cwd();
    var file = dir + "/.fl/settings.json";
    if (fs.existsSync(file)) {
        var content = file_1.readFile(file);
        var settings = JSON.parse(content);
        return settings;
    }
    return undefined;
};
