'use strict';
var yargs = require('yargs');
var login = require('./commands/login');
var generate = require('./commands/generate');
var init = require('./commands/init');
var download = require('./commands/download');
exports.run = function () {
    yargs
        .usage('$0 <cmd> [args]')
        .command('init', 'Add flexer project setting', init)
        .command('login', 'Enter your flexer credentials', login)
        .command('get', 'Get project', download)
        .command('generate', 'Generate code', generate)
        .help().argv;
};
