# flexer-code

Flexer-code is the tool that generates code for react,angular,vue,reactnative from flexer projects

# Installation

```sh
npm install flexer-code -g
```

```sh
yarn add flexer-code global
```

# Commands

### help :

```sh
flexer help
```

### login :

```sh
flexer login
```

### Add flexapp project info (add project id, the type and more):

```sh
flexer init
```

### generate all:

```sh
flexer generate --projectId projet1 --type react --style styled
flexer generate --projectId projet1 --type angular
flexer generate --projectId projet1 --type vue
flexer generate --projectId projet1 --type reactNative
```

### generate single component:

```sh

flexer generate --projectId projet1 --type react --style styled --component SignUp
flexer generate --projectId projet1 --type angular --component SignUp
flexer generate --projectId projet1 --type vue --component SignUp
flexer generate --projectId projet1 --type reactNative --component SignUp
```
