import  * as inquirer from 'inquirer';
import {signIn} from '../data/auth'



export const builder =  (yargs) => {}

export const handler = async function (args) {
  const command = args._[0];
  switch (command) {
    case 'login':
      const cred = await credentiels();
      await signIn(cred.email,cred.password);
      break;
  }
  process.exit(0);
}
let credentiels= function()  {
  const questions = [
    {
      name: 'email',
      type: 'input',
      message: 'Enter your e-mail:',
      validate: function( value ) {
        if (value.length) {
          return true;
        }
      }
    },
    {
      name: 'password',
      type: 'password',
      message: 'Enter your password:',
      validate: function(value) {
        if (value.length) {
          return true;
        }
      }
    }
  ];
  return inquirer.prompt(questions);
}
