'use strict';
const yargs = require('yargs');
const login = require('./commands/login');
const generate = require('./commands/generate');
const init = require('./commands/init');
const download = require('./commands/download');
exports.run = function() {
  yargs
    .usage('$0 <cmd> [args]')
    .command('init', 'Add flexer project setting', init)
    .command('login', 'Enter your flexer credentials', login)
    .command('get', 'Get project', download)
    .command('generate', 'Generate code', generate)
    .help().argv;
};
